function [avdmu muC muA badobs] = LRE(theta,sigma,beta,Rc,Rnc,Fw,Fk,badin)


ractual(:,:,1) = Rc(:,:);
rcounter(:,:,1) = Rc(:,:)*1.1;
ractual(:,:,2) = Rnc(:,:);
rcounter(:,:,2) = Rnc(:,:);

Nrz = size(theta,1);

if length(sigma) == 1
	sigma = sigma*ones(Nrz,1);
end

theta = theta./sigma(:,ones(6,1));
lambda = ones(Nrz,1)./sigma;

muC = zeros(Nrz,3);
muA = zeros(Nrz,3);

for i=1:Nrz
	muC(i,:) = LRmu(reshape(theta(i,:),3,2),lambda(i),beta,rcounter(i,:,:),Fw,Fk)';
	muA(i,:) = LRmu(reshape(theta(i,:),3,2),lambda(i),beta,ractual(i,:,:),Fw,Fk)';
end

% isnans come up for some fields with large intercepts
badA = isnan(muA);
badC = isnan(muC);
badobs = max(badA, badC);
muC(badobs) = 0;
muA(badobs) = 0;
badin = logical(badin);
muC(badin) = 0;
muA(badin) = 0;

avdmu = (sum(muC(:,1)) - sum(muA(:,1)))/sum(muA(:,1));
