function S = calcS_alt(g,fid,k,year,wt,keep,TT)
% asymptotic variance estimate of moments  (no clustering)

% OBS: NO NEED TO MAINTAIN "keep" and "TT" here

% Get rid of 'NaN'
g(isnan(g))   = 0;
wt(isnan(wt)) = 0;
N = sum(keep,1);


% Reweight Moment Restrictions
g = g.*wt(:,ones(size(g,2),1));

% Var-Cov Matrix of g
S = g'*g/(N-1);


