

local mainfolder = "/home/landvalues/"
local dqfolder = "/home/landvalues/dataquick/"
local spatialfolder = "/home/landvalues/spatial_data/"
local mergedfolder = "/home/landvalues/merging/"


use "`dqfolder'processed/dq_cleaned.dta", clear
destring lat lon, force replace
drop if lat==. | lon==.
replace lon = -lon
keep if geoqlty ==0 | geoqlty==1
contract dqid lat lon
drop _freq
destring dqid, force replace
format dqid %9.0f
local imax = ceil(_N/100000)
forvalues i = 1/`imax' {
	outsheet using "`spatialfolder'target_xy`i'.csv" if _n>=((`i'-1)*100000 + 1) & _n<=`i'*100000 , names comma replace
}
