#!/bin/bash

counter=0
for (( i=1; i<=110; i++ ))
do
	FILE=cdl${i}.csv
	if [ -f $FILE ];
	then
		echo "File ${FILE} exists"
	else
		echo "File ${FILE} does not exist"
		nohup ./spatial_merge.R --dq.sample.first=1 --dq.sample.size=100000 --dq.file=ccp_points$i.csv --output.file=cdl$i.csv > cdl_merge$i.txt  & 
		(( counter += 1 ))
		sleep 10
	fi
	if (( $counter % 6 == 0 )); then wait; fi
done
wait
