function [theta0_ccp_sim theta0_just_sim] = interceptSE(theta1,vcmat,yccp,yvc,yvnc,Rdif,psic,psinc,slope,fid,k,year,keep,Mccp,Mjustc,nsim)

theta1_sim = sampleMVNormal(theta1,vcmat,nsim);
theta0_ccp_sim  = zeros(nsim,6);
theta0_just_sim = zeros(nsim,6);

for i = 1:nsim
	[theta_ccpi theta_justi] = recover_intercepts(theta1_sim(i,:),yccp,yvc,yvnc,Rdif,psic,psinc,slope,fid,k,year,keep,Mccp,Mjustc);
	theta0_ccp_sim(i,:)  = [mean(theta_ccpi)  zeros(1,3)];
	theta0_just_sim(i,:) = [mean(theta_justi)];
end

