#!/bin/bash
# MAKE SURE WE HAVE THE RIGHT NUMBER OF FILES HERE!!
# This may change if we change the sample


for (( i=1; i<=6; i++ ))
do
	nohup ./spatial_merge.R --dq.sample.first=1 --dq.sample.size=100000 --dq.file=target_xy$i.csv --output.file=output$i.csv > log_merge$i.txt  & 
	sleep 20
	if (( $i % 6 == 0 )); then wait; fi
done

NUMOFLINES=$(cat /home/landvalues/spatial_data/target_xy7.csv | wc -l )
NUMOFLINES=$(($NUMOFLINES-1))

nohup ./spatial_merge.R --dq.sample.first=1 --dq.sample.size=$NUMOFLINES --dq.file=target_xy7.csv --output.file=output7.csv > log_merge7.txt  & 
