function sample = sampleMVNormal(mean,vcmat,ns)
% sample from multivariate normal distribution
% number of simulated points should be even


K = size(mean,2);
choleskyMat = chol(vcmat);

sims = randn(ns/2,K);
sims = [sims; -sims];

sample = repmat(mean,[ns 1]) + sims*choleskyMat;
